Package ru.bitel.bgbilling.modules.tv.server.bean

# Class TvChannelSpecDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<TvChannelSpec>
ru.bitel.common.dao.AbstractIdDao<TvChannelSpec>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<TvChannelSpec>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<TvChannelSpec>
ru.bitel.bgbilling.modules.tv.server.bean.TvChannelSpecDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<TvChannelSpec>`

public class TvChannelSpecDao extends AbstractEntityDao<TvChannelSpec> implements Directory<TvChannelSpec>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `AbstractEntityAttrDao.AddressItemModifiedEventListener`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, entityTableSuffix, filterWeightComparator, userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvChannelSpecDao(Connection con, int moduleId)`
  `TvChannelSpecDao(Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `TvChannelSpec`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected TvChannelSpec`
  `getFromRSImpl(ResultSet rs)`
  `List<TvChannelSpec>`
  `list()`
  Получение всего списка элементов из справочника
  `List<TvChannelSpec>`
  `list(int serviceSpecId, Date dateFrom, Date dateTo, String title, List<FilterEntityAttr> entityFilter)`
  `protected void`
  `updateImpl(TvChannelSpec b)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `delete, getFromRS, getFromRS, linkEntity, list, list, listImpl, unlinkEntity, update`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `checkEntityAttribute, checkEntitySpecAttrDelete, deleteEntityAttribute, deleteEntityAttributes, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityTableSuffix, getEntityValueForIds, listImpl, onAddressItemUpdate, optEntityAttribute, updateEntityAttribute, updateEntityAttributes`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, opt, update`

- ## Constructor Details

  - ### TvChannelSpecDao

    public TvChannelSpecDao(Connection con, int moduleId)

  - ### TvChannelSpecDao

    public TvChannelSpecDao(Connection con, int moduleId, int userId)

- ## Method Details

  - ### getFromRSImpl

    protected TvChannelSpec getFromRSImpl(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRSImpl` in class `AbstractEntityDao<TvChannelSpec>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public TvChannelSpec get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<TvChannelSpec>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<TvChannelSpec> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<TvChannelSpec>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<TvChannelSpec> list(int serviceSpecId, Date dateFrom, Date dateTo, String title, List<FilterEntityAttr> entityFilter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(TvChannelSpec b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<TvChannelSpec>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### close

    public void close() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `close` in interface `AutoCloseable`
    Overrides:
      `close` in class `ru.bitel.common.dao.AbstractDao<TvChannelSpec>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`